<div class="d-flex justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2 id="jhi-sertifikat-heading" data-cy="SertifikatCreateUpdateHeading">Create or edit a Sertifikat</h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        @if (editForm.controls.id.value !== null) {
          <div class="mb-3">
            <label class="form-label" for="field_id">ID</label>
            <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
          </div>
        }

        <div class="mb-3">
          <label class="form-label" for="field_kodeVoucher">Kode Voucher</label>
          <input
            type="text"
            class="form-control"
            name="kodeVoucher"
            id="field_kodeVoucher"
            data-cy="kodeVoucher"
            formControlName="kodeVoucher"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_tglVoucher">Tgl Voucher</label>
          <div class="d-flex">
            <input
              id="field_tglVoucher"
              data-cy="tglVoucher"
              type="datetime-local"
              class="form-control"
              name="tglVoucher"
              formControlName="tglVoucher"
              placeholder="YYYY-MM-DD HH:mm"
            />
          </div>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_noSertifikat">No Sertifikat</label>
          <input
            type="text"
            class="form-control"
            name="noSertifikat"
            id="field_noSertifikat"
            data-cy="noSertifikat"
            formControlName="noSertifikat"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_tglSertifikat">Tgl Sertifikat</label>
          <div class="d-flex">
            <input
              id="field_tglSertifikat"
              data-cy="tglSertifikat"
              type="datetime-local"
              class="form-control"
              name="tglSertifikat"
              formControlName="tglSertifikat"
              placeholder="YYYY-MM-DD HH:mm"
            />
          </div>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_biayaPnbp">Biaya Pnbp</label>
          <input type="number" class="form-control" name="biayaPnbp" id="field_biayaPnbp" data-cy="biayaPnbp" formControlName="biayaPnbp" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_noReferensiBni">No Referensi Bni</label>
          <input
            type="text"
            class="form-control"
            name="noReferensiBni"
            id="field_noReferensiBni"
            data-cy="noReferensiBni"
            formControlName="noReferensiBni"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_status">Status</label>
          <input type="number" class="form-control" name="status" id="field_status" data-cy="status" formControlName="status" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_updateBy">Update By</label>
          <input type="text" class="form-control" name="updateBy" id="field_updateBy" data-cy="updateBy" formControlName="updateBy" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_updateOn">Update On</label>
          <div class="d-flex">
            <input
              id="field_updateOn"
              data-cy="updateOn"
              type="datetime-local"
              class="form-control"
              name="updateOn"
              formControlName="updateOn"
              placeholder="YYYY-MM-DD HH:mm"
            />
          </div>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_registrationId">Registration Id</label>
          <input
            type="text"
            class="form-control"
            name="registrationId"
            id="field_registrationId"
            data-cy="registrationId"
            formControlName="registrationId"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_tglOrder">Tgl Order</label>
          <div class="input-group">
            <input
              id="field_tglOrder"
              data-cy="tglOrder"
              type="text"
              class="form-control"
              name="tglOrder"
              ngbDatepicker
              #tglOrderDp="ngbDatepicker"
              formControlName="tglOrder"
            />
            <button type="button" class="btn btn-secondary" (click)="tglOrderDp.toggle()"><fa-icon icon="calendar-alt"></fa-icon></button>
          </div>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_tglCancel">Tgl Cancel</label>
          <div class="input-group">
            <input
              id="field_tglCancel"
              data-cy="tglCancel"
              type="text"
              class="form-control"
              name="tglCancel"
              ngbDatepicker
              #tglCancelDp="ngbDatepicker"
              formControlName="tglCancel"
            />
            <button type="button" class="btn btn-secondary" (click)="tglCancelDp.toggle()"><fa-icon icon="calendar-alt"></fa-icon></button>
          </div>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_biayaJasa">Biaya Jasa</label>
          <input type="number" class="form-control" name="biayaJasa" id="field_biayaJasa" data-cy="biayaJasa" formControlName="biayaJasa" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_invoiceSubmitted">Invoice Submitted</label>
          <input
            type="checkbox"
            class="form-check"
            name="invoiceSubmitted"
            id="field_invoiceSubmitted"
            data-cy="invoiceSubmitted"
            formControlName="invoiceSubmitted"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_reportSubmitted">Report Submitted</label>
          <input
            type="checkbox"
            class="form-check"
            name="reportSubmitted"
            id="field_reportSubmitted"
            data-cy="reportSubmitted"
            formControlName="reportSubmitted"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_akta">Akta</label>
          <select class="form-control" id="field_akta" data-cy="akta" name="akta" formControlName="akta" [compareWith]="compareAkta">
            <option [ngValue]="null"></option>
            @for (aktaOption of aktasSharedCollection; track $index) {
              <option [ngValue]="aktaOption">{{ aktaOption.id }}</option>
            }
          </select>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_cabang">Cabang</label>
          <select
            class="form-control"
            id="field_cabang"
            data-cy="cabang"
            name="cabang"
            formControlName="cabang"
            [compareWith]="compareCabang"
          >
            <option [ngValue]="null"></option>
            @for (cabangOption of cabangsSharedCollection; track $index) {
              <option [ngValue]="cabangOption">{{ cabangOption.id }}</option>
            }
          </select>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_invoice">Invoice</label>
          <select
            class="form-control"
            id="field_invoice"
            data-cy="invoice"
            name="invoice"
            formControlName="invoice"
            [compareWith]="compareInvoice"
          >
            <option [ngValue]="null"></option>
            @for (invoiceOption of invoicesSharedCollection; track $index) {
              <option [ngValue]="invoiceOption">{{ invoiceOption.id }}</option>
            }
          </select>
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
        </button>
      </div>
    </form>
  </div>
</div>
